﻿
<table class="table">
    <tr>
        <th>
            <label>Id</label>
        </th>
        <th>
            <label>Nombre </label>
        </th>
        <th>
            <label>Descripción</label>
        </th>
        <th>
            <label>Precio </label>
        </th>

        <th>
            <label>Estado </label>
        </th>

        <th>
            <label>Imagen</label>
        </th>

        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @item.Id_Producto
            </td>
            <td>
                @item.Nombre_Producto
            </td>
            <td>
                @item.Descripcion_Producto
            </td>
            <td>
                @item.Precio_Producto
            </td>
            <td>
                @item.Estado_Productos.Estado_Producto
            </td>

            <!--REVISAR ESTO...-->
            <td style="width:150px">
                <div class="card" style=" background-color:black;padding-top:5%; padding-bottom:5%">
                    <div class="text-center" style="border-style:solid; border-color:black">
                        <img src="@Url.Content(item.Imagen_Producto)" style="height:100px" />
                    </div>

                </div>
            </td>

            <td>

                @{ string texto = "";
                    int? estado = item.Id_Estado_Producto;
                    if (estado == 1)
                    {
                        texto = "Desactivar";
                    }
                    else
                    {
                        texto = "Activar";
                    }
                }

                <a href="~/Admin/EditarProducto/@item.Id_Producto"><img src="@Url.Content("~/Content/Img/Editar.png")" alt="Home" style="width:25px; height:25px;" /></a>
                @*@Html.ActionLink("Editar Producto", "EditarProducto", new { id = item.Id_Producto })*@
                @Html.ActionLink(texto, "EstadoProducto", new { id = item.Id_Producto })
            </td>
        </tr>
    }
</table>